const mongoose = require("mongoose");

const qcParamSchema = new mongoose.Schema({

  parameterName:{
    type:String,
    required:true,
    trim:true
  },

  value:{
    type:String,
    default:null
  },

  isDeleted:{
  type:Boolean,
  default:false
},

  createdBy:{
    type:mongoose.Schema.Types.ObjectId,
    ref:"User"
  },

  updatedBy:{
    type:mongoose.Schema.Types.ObjectId,
    ref:"User"
  }

},{
  timestamps:true
});

module.exports = mongoose.model("QCParam",qcParamSchema);